
Redmine - Defect #2977

activity plural

2009-03-16 11:14 - Ernad Husremovic

Status: Closed Start date: 2009-03-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

As we have

  label_issue: Issue

  label_issue_plural: Issues

 we need

  label_activity: Activity

  label_activity_plural: Activities

History

#1 - 2009-03-16 23:16 - Jean-Philippe Lang

Where this string would be used?

#2 - 2009-03-17 09:30 - Ernad Husremovic

I have changed that on my local branch at every place where we point to set of activities

diff --git a/lib/redmine.rb b/lib/redmine.rb

index c8d64b8..834fb62 100644

--- a/lib/redmine.rb

+++ b/lib/redmine.rb

@@ -130,7 +130,7 @@ end

 Redmine::MenuManager.map :project_menu do |menu|

   menu.push :overview, { :controller => 'projects', :action => 'show' }

-  menu.push :activity, { :controller => 'projects', :action => 'activity' }

+  menu.push :activity, { :controller => 'projects', :action => 'activity' }, :caption => :label_activity_plur

al

   menu.push :roadmap, { :controller => 'projects', :action => 'roadmap' },

               :if => Proc.new { |p| p.versions.any? }

   menu.push :issues, { :controller => 'issues', :action => 'index' }, :param => :project_id, :caption => :lab

el_issue_plural

 In my language (bosnian), usage of singular form makes translation quite bad.

Because of that I have translated label_activity as plural, but there are places where singular is necessary (i.e timesheet plugin)

#3 - 2009-04-24 19:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

There's no reason why the menu item (label_acitivity) should be plural (label_activity_plural).

Don't know where this plugin uses this string but it should perhaps use field_activity instead.
